# Retrieve a single Custom Activity Type

GET https://api.close.com/api/v1/custom_activity/{id}/

The response contains the Custom Activity Type including most Custom Field metadata.

Reference: https://developer.close.com/api/resources/custom-activity-types/get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /custom_activity/{id}/:
    get:
      operationId: get
      summary: Retrieve a single Custom Activity Type
      description: >-
        The response contains the Custom Activity Type including most Custom
        Field metadata.
      tags:
        - subpackage_customActivityTypes
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/custom_activity_types_get_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    custom_activity_types_get_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: custom_activity_types_get_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```